Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Subscribe to the door state change

Request

Security
Bearer
Body
any
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/doorstate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json'

Responses

Successfully subscribed to the door state change event

Get the current state of the door

Request

Security
Bearer
Query
echostring
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/doorstate?echo=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The state of the door

Bodyapplication/json
contentstring or null
contentTypestring or null
statusCodeinteger or null(int32)
Response
application/json
{ "content": "string", "contentType": "string", "statusCode": 0 }

Power down the instrument

Request

Security
Bearer
Body
any
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/powerdown' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json'

Responses

Success

Get the status on the power

Request

Security
Bearer
Query
echostring
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/powerdown?echo=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Subscribe to the fan state event

Request

Security
Bearer
Body
any
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/fanstate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json'

Responses

Success

/api/v1/service-software-api/fanstate

Request

Security
Bearer
Query
echostring
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/fanstate?echo=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Get the sensor status

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/sensor-status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The sensor state

Bodyapplication/json
isEnclosurePresentboolean
isDoorClosedboolean
isXHomeboolean
fan1Rpminteger(int32)
fan2Rpminteger(int32)
mphSensorStateobject(MphSensorState)
independentChannelsSensorStateobject(IndependentChannelsSensorState)
Response
application/json
{ "isEnclosurePresent": true, "isDoorClosed": true, "isXHome": true, "fan1Rpm": 0, "fan2Rpm": 0, "mphSensorState": { "present": true, "sleeveSensors": [], "yHome": true, "zHome": true, "squeezeHome": true, "dispenserHome": true }, "independentChannelsSensorState": { "present": true, "frontChannel": {}, "rearChannel": {} } }

Get the instrument parked state

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/is-parked' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instrument parked state

Bodyapplication/json
boolean
Response
application/json
true

Get tip status for instrument channels.

Request

Returns true is any channel has a tip attached.

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/service-software-api/has-tips' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Channel tip status

Bodyapplication/json
boolean
Response
application/json
true

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations